• Completed Feb. 6, 2015. 6:20 p.m.
  • Build took None seconds
Build #2291749
latest (2a33b633edbd36745c3a0e7c7f973ac15fb71e16)
Finished

Build Output



html
-----

Making output directory...
Running Sphinx v1.2.2
loading translations [en]... done
building [readthedocs]: targets for 4 source files that are out of date
updating environment: 4 added, 0 changed, 0 removed
reading sources... [ 25%] index
reading sources... [ 50%] lua-parser
reading sources... [ 75%] ravi-internals
reading sources... [100%] ravi-overview

looking for now-outdated files... none found
pickling environment... done
checking consistency... done
preparing documents... done
writing output... [ 25%] index
writing output... [ 50%] lua-parser
writing output... [ 75%] ravi-internals
writing output... [100%] ravi-overview

writing additional files... genindex search
copying static files... done
copying extra files... done
dumping search index... done
dumping object inventory... done
build succeeded, 4 warnings.
Copying readthedocs-dynamic-include.js_t... done
Copying readthedocs-data.js_t... done

Setup Output



checkout
-----



venv
-----

Using real prefix '/usr'
New python executable in /home/docs/checkouts/readthedocs.org/user_builds/the-ravi-programming-language/envs/latest/bin/python
Installing setuptools, pip...done.
Running virtualenv with interpreter /home/docs/bin/python


doc_builder
-----

Downloading/unpacking sphinx==1.2.2
Downloading/unpacking virtualenv==1.10.1
Downloading/unpacking setuptools==1.1
Downloading/unpacking docutils==0.11
Downloading/unpacking readthedocs-sphinx-ext==0.4.4
Downloading/unpacking mkdocs==0.11.1
  Running setup.py (path:/var/build/user_builds/the-ravi-programming-language/envs/latest/build/mkdocs/setup.py) egg_info for package mkdocs
    
    warning: no previously-included files matching '__pycache__' found under directory '*'
    warning: no previously-included files matching '*.py[co]' found under directory '*'
Downloading/unpacking mock==1.0.1
Downloading/unpacking pillow==2.6.1
Downloading/unpacking Jinja2>=2.3 (from sphinx==1.2.2)
Downloading/unpacking Pygments>=1.2 (from sphinx==1.2.2)
Downloading/unpacking Markdown>=2.3.1,<2.5 (from mkdocs==0.11.1)
Downloading/unpacking PyYAML>=3.10 (from mkdocs==0.11.1)
  Running setup.py (path:/var/build/user_builds/the-ravi-programming-language/envs/latest/build/PyYAML/setup.py) egg_info for package PyYAML
    
Downloading/unpacking watchdog>=0.7.0 (from mkdocs==0.11.1)
  Running setup.py (path:/var/build/user_builds/the-ravi-programming-language/envs/latest/build/watchdog/setup.py) egg_info for package watchdog
    
Downloading/unpacking ghp-import>=0.4.1 (from mkdocs==0.11.1)
Downloading/unpacking markupsafe (from Jinja2>=2.3->sphinx==1.2.2)
Downloading/unpacking argh>=0.24.1 (from watchdog>=0.7.0->mkdocs==0.11.1)
Downloading/unpacking pathtools>=0.1.1 (from watchdog>=0.7.0->mkdocs==0.11.1)
Installing collected packages: sphinx, virtualenv, setuptools, docutils, readthedocs-sphinx-ext, mkdocs, mock, pillow, Jinja2, Pygments, Markdown, PyYAML, watchdog, ghp-import, markupsafe, argh, pathtools
  Found existing installation: setuptools 3.6
    Uninstalling setuptools:
      Successfully uninstalled setuptools
  Running setup.py install for mkdocs
    
    warning: no previously-included files matching '__pycache__' found under directory '*'
    warning: no previously-included files matching '*.py[co]' found under directory '*'
    Installing mkdocs script to /home/docs/checkouts/readthedocs.org/user_builds/the-ravi-programming-language/envs/latest/bin
  Running setup.py install for PyYAML
    checking if libyaml is compilable
    x86_64-linux-gnu-gcc -pthread -fno-strict-aliasing -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -fPIC -I/usr/include/python2.7 -c build/temp.linux-x86_64-2.7/check_libyaml.c -o build/temp.linux-x86_64-2.7/check_libyaml.o
    build/temp.linux-x86_64-2.7/check_libyaml.c:2:18: fatal error: yaml.h: No such file or directory
     #include <yaml.h>
                      ^
    compilation terminated.
    
    libyaml is not found or a compiler error: forcing --without-libyaml
    (if libyaml is installed correctly, you may need to
     specify the option --include-dirs or uncomment and
     modify the parameter include_dirs in setup.cfg)
    
  Running setup.py install for watchdog
    
    Installing watchmedo script to /home/docs/checkouts/readthedocs.org/user_builds/the-ravi-programming-language/envs/latest/bin
Successfully installed sphinx virtualenv setuptools docutils readthedocs-sphinx-ext mkdocs mock pillow Jinja2 Pygments Markdown PyYAML watchdog ghp-import markupsafe argh pathtools
Cleaning up...


install
-----

Environment Standard Error



checkout
-----



venv
-----



doc_builder
-----



install
-----

No setup.py, skipping install

Build Errors



html
-----

/var/build/user_builds/the-ravi-programming-language/checkouts/latest/readthedocs/lua-parser.rst:431: WARNING: Block quote ends without a blank line; unexpected unindent.
/var/build/user_builds/the-ravi-programming-language/checkouts/latest/readthedocs/lua-parser.rst:450: WARNING: Block quote ends without a blank line; unexpected unindent.
/var/build/user_builds/the-ravi-programming-language/checkouts/latest/readthedocs/lua-parser.rst:446: WARNING: Block quote ends without a blank line; unexpected unindent.
WARNING: html_static_path entry u'/var/build/user_builds/the-ravi-programming-language/checkouts/latest/readthedocs/_static' does not exist